# Uses of Interface
org.xnio.channels.StreamSinkChannel

Packages that use StreamSinkChannel
Package
Description
org.xnio
The main API package for XNIO.
org.xnio.channels
The core XNIO channel API.
org.xnio.conduits
The XNIO conduit SPI.
org.xnio.streams
Utility classes for creating streams which use XNIO channels.

## Uses of StreamSinkChannel in org.xnio

Methods in org.xnio with type parameters of type StreamSinkChannel
Modifier and Type
Method
Description
`static <T extends StreamSinkChannel>
ChannelListener<T>`
ChannelListeners.`fileSendingChannelListener(FileChannel source, long position, long count, ChannelListener<? super T> delegate, ChannelExceptionHandler<? super T> exceptionHandler)`
A file-sending channel listener.
`static <I extends StreamSourceChannel, O extends StreamSinkChannel>
void`
ChannelListeners.`initiateTransfer(long count, I source, O sink, ChannelListener<? super I> sourceListener, ChannelListener<? super O> sinkListener, ChannelExceptionHandler<? super I> readExceptionHandler, ChannelExceptionHandler<? super O> writeExceptionHandler, Pool<ByteBuffer> pool)`
Initiate a low-copy transfer between two stream channels.
`static <I extends StreamSourceChannel, O extends StreamSinkChannel>
void`
ChannelListeners.`initiateTransfer(I source, O sink, Pool<ByteBuffer> pool)`
Initiate a low-copy transfer between two stream channels.
`static <T extends StreamSinkChannel>
ChannelListener<T>`
ChannelListeners.`writingChannelListener(Pooled<ByteBuffer> pooled, ChannelListener<? super T> delegate, ChannelExceptionHandler<? super T> exceptionHandler)`
A writing channel listener.
Methods in org.xnio that return StreamSinkChannel
Modifier and Type
Method
Description
`protected StreamSinkChannel`
XnioWorker.`getDeflatingChannel(StreamSinkChannel delegate, Deflater deflater)`
Create a stream channel that compresses to the destination according to the configuration in the given inflater.
`StreamSinkChannel`
XnioWorker.`getDeflatingChannel(StreamSinkChannel delegate, OptionMap options)`
Create a stream channel that compresses to the destination according to the configuration in the given option map.
Methods in org.xnio that return types with arguments of type StreamSinkChannel
Modifier and Type
Method
Description
`ChannelPipe<StreamSourceChannel,StreamSinkChannel>`
XnioIoFactory.`createHalfDuplexPipe()`
Create a one-way stream pipe.
`ChannelPipe<StreamSourceChannel,StreamSinkChannel>`
XnioIoFactory.`createHalfDuplexPipe(XnioIoFactory peer)`
Create a one-way stream pipe.
`ChannelPipe<StreamSourceChannel,StreamSinkChannel>`
XnioIoThread.`createHalfDuplexPipe()`
`ChannelPipe<StreamSourceChannel,StreamSinkChannel>`
XnioIoThread.`createHalfDuplexPipe(XnioIoFactory peer)`
`ChannelPipe<StreamSourceChannel,StreamSinkChannel>`
XnioWorker.`createHalfDuplexPipe()`
`ChannelPipe<StreamSourceChannel,StreamSinkChannel>`
XnioWorker.`createHalfDuplexPipe(XnioIoFactory peer)`
Methods in org.xnio with parameters of type StreamSinkChannel
Modifier and Type
Method
Description
`protected StreamSinkChannel`
XnioWorker.`getDeflatingChannel(StreamSinkChannel delegate, Deflater deflater)`
Create a stream channel that compresses to the destination according to the configuration in the given inflater.
`StreamSinkChannel`
XnioWorker.`getDeflatingChannel(StreamSinkChannel delegate, OptionMap options)`
Create a stream channel that compresses to the destination according to the configuration in the given option map.

## Uses of StreamSinkChannel in org.xnio.channels

Subinterfaces of StreamSinkChannel in org.xnio.channels
Modifier and Type
Interface
Description
`interface`
`ConnectedSslStreamChannel`
A TLS-encapsulated connected stream channel.
`interface`
`ConnectedStreamChannel`
A stream channel that is a connection between a local and remote endpoint.
`interface`
`StreamChannel`
A stream channel.
Classes in org.xnio.channels that implement StreamSinkChannel
Modifier and Type
Class
Description
`class`
`AssembledConnectedSslStreamChannel`
A connected SSL stream channel assembled from a stream source and stream sink.
`class`
`AssembledConnectedStreamChannel`
A connected stream channel assembled from a stream source and stream sink.
`class`
`AssembledStreamChannel`
A stream channel assembled from a stream source and stream sink.
`final class`
`FixedLengthStreamSinkChannel`
A channel which writes a fixed amount of data.
`final class`
`NullStreamSinkChannel`
A bit-bucket stream sink channel.
`final class`
`SplitStreamSinkChannel`
A half-duplex (write side) wrapper for a full-duplex channel.
Methods in org.xnio.channels that return StreamSinkChannel
Modifier and Type
Method
Description
`StreamSinkChannel`
FixedLengthStreamSinkChannel.`getChannel(Object guard)`
Methods in org.xnio.channels that return types with arguments of type StreamSinkChannel
Modifier and Type
Method
Description
`ChannelListener.Setter<? extends StreamSinkChannel>`
StreamSinkChannel.`getCloseSetter()`
Get the setter which can be used to change the close listener for this channel.
`ChannelListener.Setter<? extends StreamSinkChannel>`
StreamSinkChannel.`getWriteSetter()`
Get the setter which can be used to change the write listener for this channel.
Methods in org.xnio.channels with parameters of type StreamSinkChannel
Modifier and Type
Method
Description
`static void`
Channels.`transferBlocking(StreamSinkChannel destination, FileChannel source, long startPosition, long count)`
Transfer bytes between two channels efficiently, blocking if necessary.
`static long`
Channels.`transferBlocking(StreamSinkChannel destination, StreamSourceChannel source, ByteBuffer throughBuffer, long count)`
Transfer bytes between two channels efficiently, blocking if necessary.
`long`
AssembledStreamChannel.`transferTo(long count, ByteBuffer throughBuffer, StreamSinkChannel target)`
`long`
EmptyStreamSourceChannel.`transferTo(long count, ByteBuffer throughBuffer, StreamSinkChannel target)`
`long`
FixedLengthStreamSourceChannel.`transferTo(long count, ByteBuffer throughBuffer, StreamSinkChannel target)`
`long`
PushBackStreamChannel.`transferTo(long count, ByteBuffer throughBuffer, StreamSinkChannel target)`
`long`
SplitStreamSourceChannel.`transferTo(long count, ByteBuffer throughBuffer, StreamSinkChannel target)`
`long`
StreamSourceChannel.`transferTo(long count, ByteBuffer throughBuffer, StreamSinkChannel target)`
Transfers bytes into the given channel target.
`static int`
Channels.`writeFinalBasic(StreamSinkChannel channel, ByteBuffer src)`
Writes out the data in the buffer to the channel.
`static long`
Channels.`writeFinalBasic(StreamSinkChannel channel, ByteBuffer[] srcs, int offset, int length)`
Writes out the data in the buffer to the channel.
Constructors in org.xnio.channels with parameters of type StreamSinkChannel
Modifier
Constructor
Description
``
`AssembledConnectedSslStreamChannel(SslChannel sslChannel, StreamSourceChannel source, StreamSinkChannel sink)`
Construct a new instance.
``
`AssembledConnectedSslStreamChannel(StreamSourceChannel source, StreamSinkChannel sink)`
Construct a new instance.
``
`AssembledConnectedStreamChannel(ConnectedChannel connection, StreamSourceChannel source, StreamSinkChannel sink)`
Construct a new instance.
``
`AssembledConnectedStreamChannel(StreamSourceChannel source, StreamSinkChannel sink)`
Construct a new instance.
``
`AssembledStreamChannel(CloseableChannel closeable, StreamSourceChannel source, StreamSinkChannel sink)`
Construct a new instance.
``
`AssembledStreamChannel(StreamSourceChannel source, StreamSinkChannel sink)`
Construct a new instance.
``
`BlockingWritableByteChannel(StreamSinkChannel delegate)`
Construct a new instance.
``
`BlockingWritableByteChannel(StreamSinkChannel delegate, long writeTimeout, TimeUnit writeTimeoutUnit)`
Construct a new instance.
``
`FixedLengthStreamSinkChannel(StreamSinkChannel delegate, long contentLength, boolean configurable, boolean propagateClose, ChannelListener<? super FixedLengthStreamSinkChannel> finishListener, Object guard)`
Construct a new instance.
``
`SplitStreamSinkChannel(StreamSinkChannel delegate)`
Construct a new instance which does not delegate configuration.
``
`SplitStreamSinkChannel(StreamSinkChannel delegate, boolean delegateConfig)`
Construct a new instance.

## Uses of StreamSinkChannel in org.xnio.conduits

Classes in org.xnio.conduits that implement StreamSinkChannel
Modifier and Type
Class
Description
`final class`
`ConduitStreamSinkChannel`
A stream sink channel which wraps a stream sink conduit.
Methods in org.xnio.conduits with parameters of type StreamSinkChannel
Modifier and Type
Method
Description
`long`
AbstractStreamSourceConduit.`transferTo(long count, ByteBuffer throughBuffer, StreamSinkChannel target)`
`long`
BlockingStreamSourceConduit.`transferTo(long count, ByteBuffer throughBuffer, StreamSinkChannel target)`
`long`
BufferedStreamSourceConduit.`transferTo(long count, ByteBuffer throughBuffer, StreamSinkChannel target)`
`long`
ConduitStreamSourceChannel.`transferTo(long count, ByteBuffer throughBuffer, StreamSinkChannel target)`
`long`
EmptyStreamSourceConduit.`transferTo(long count, ByteBuffer throughBuffer, StreamSinkChannel target)`
`long`
FixedLengthStreamSourceConduit.`transferTo(long count, ByteBuffer throughBuffer, StreamSinkChannel target)`
`long`
InflatingStreamSourceConduit.`transferTo(long count, ByteBuffer throughBuffer, StreamSinkChannel target)`
`long`
MessageStreamSourceConduit.`transferTo(long count, ByteBuffer throughBuffer, StreamSinkChannel target)`
`long`
PushBackStreamSourceConduit.`transferTo(long count, ByteBuffer throughBuffer, StreamSinkChannel target)`
`long`
StreamSourceChannelWrappingConduit.`transferTo(long count, ByteBuffer throughBuffer, StreamSinkChannel target)`
`long`
StreamSourceConduit.`transferTo(long count, ByteBuffer throughBuffer, StreamSinkChannel target)`
Transfers bytes into the given channel target.
`long`
SynchronizedStreamSourceConduit.`transferTo(long count, ByteBuffer throughBuffer, StreamSinkChannel target)`
Constructors in org.xnio.conduits with parameters of type StreamSinkChannel
Modifier
Constructor
Description
``
`StreamSinkChannelWrappingConduit(StreamSinkChannel channel)`
Construct a new instance.

## Uses of StreamSinkChannel in org.xnio.streams

Fields in org.xnio.streams declared as StreamSinkChannel
Modifier and Type
Field
Description
`protected final StreamSinkChannel`
ChannelOutputStream.`channel`
Constructors in org.xnio.streams with parameters of type StreamSinkChannel
Modifier
Constructor
Description
``
`ChannelOutputStream(StreamSinkChannel channel)`
Construct a new instance.
``
`ChannelOutputStream(StreamSinkChannel channel, long timeout, TimeUnit unit)`
Construct a new instance.